Subject: bug#47634: Accompany .asc and .DIGESTS keys for the ISO

From: bo0od <[email-masked]>
Date: Sat, 10 Apr 2021 21:24:13 +0000

> In this instance, the hash provides no
 > significant additional value over the signature.

What you said is true, Only thing i would see it useful when there is an 
attack on PGP but not necessary can be produced as well on the same time 
on SHA512 like collision attack or so (nothing at the moment discovered 
but just theoretical attack)

 > If we look at the Tor project (who, I hope you will agree, care about
 > security), their download page[1] only provides links to PGP signatures
 > as their sole method of verification.

If you tell me what most projects using at the moment i would tell you 
straight forward PGP, But on the future bases PGP on the bye bye way so 
what im suggesting here is to make it happen now rather than just 
waiting for the future to come with its more insecurities. (like what i 
referred to debian deprecation of PGP)

 > I think there may be a larger conversation to have around using
 > something like Signify rather than PGP/GPG, but I'm not familiar enough
 > with Signify to have an opinion about that at the moment.

Sure tyt, These stuff doesnt need to be fixed instantly but need to be 
looked in for sure.

ThX!

Carlo Zancanaro:
> Hi bo0od!
> 
> On Sat, Apr 10 2021, bo0od wrote:
>>> Which implies that the signatures are sufficient, right?
>>
>> Well this is simple question but the answer is sorta deeper, So i will 
>> answer with yes and no:
>>
>> yes signatures are sufficient but signatures with PGP has problems...
> 
> I grant that this might be true, but whether or not to use PGP is a 
> different issue to whether cryptographic signatures are sufficient to 
> verify downloads. If we compare the projects you've shown as examples:
> 
> - Qubes provides hashes, PGP signatures, and a release signing key
> 
> - Whonix provides hashes, PGP signatures, and a release signing key
> 
> For verification purposes the hashes only provide transport integrity - 
> they don't provide any mechanism to verify where the content came from, 
> and because they're stored next to the images it's likely that any 
> attacker who could manipulate the images could also manipulate the 
> hashes. The signature provides a better guarantee that the image 
> contains what the project intends to distribute (i.e. that nobody has 
> compromised image itself). In this instance, the hash provides no 
> significant additional value over the signature.
> 
> If we look at the Tor project (who, I hope you will agree, care about 
> security), their download page[1] only provides links to PGP signatures 
> as their sole method of verification.
> 
> I'm not convinced there's much value to add anything beyond the 
> signatures, and I think there is some cost. Having multiple verification 
> options makes the download page more confusing (by providing more 
> choices to do the same thing), and may make it less likely that people 
> do any verification.
> 
> I think there may be a larger conversation to have around using 
> something like Signify rather than PGP/GPG, but I'm not familiar enough 
> with Signify to have an opinion about that at the moment.
> 
> Carlo
> 
> [1]: https://www.torproject.org/download/